#
# spec file for package NetworkManager-kde4 (Version 0.9.svn1043876)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Url:            http://www.kde.org

Name:           NetworkManager-kde4
BuildRequires:  NetworkManager-devel kdebase4-workspace-devel libknotificationitem-devel
Version:        0.9.svn1043876
Release:        1.4.1
License:        GPLv2+
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          System/GUI/KDE
Summary:        NetworkManager client for KDE 4
Source0:        networkmanager.tar.bz2
Source1:        networkmanager-po.tar.bz2
Source2:        knetworkmanager.default.sh
Patch0:         r1047285-doubleclick-other-networks-dialog.diff
Patch1:         r1047562-invalid-timestamps.diff
Patch2:         r1047612-hide-wireless-no-hardware.diff
Patch3:         r1047763-update-settings-signal.diff
Patch4:         r1048007-routing-not-accepted.diff
Patch5:         r1048697-const-iterators.diff
Patch6:         r1049067-vpn-secrets-prompt.diff
Patch7:         r1050511-openvpn-x509-no-password.diff
Patch8:         r1050784-activatable-sorting.diff
Patch9:         code11_networkmanager_no_neverdefault.diff
Patch10:        add-novellvpn-plugin.diff
Requires:       %{name}-lang = %{version}
Requires:       %{name}-libs = %{version}-%{release}
Provides:       NetworkManager-client
ExcludeArch:    s390 s390x
# currently not our default
%if %suse_version > 1110
Supplements:    packageand(NetworkManager:kdebase4-session)
%endif
Obsoletes:      NetworkManager-kde <= 0.7r848570
%kde4_runtime_requires

%description
KNetworkManager is a KDE 4 applet for controlling
network connections on systems that use the NetworkManager service.



Authors:
--------
    Will Stephenson <wstephenson@novell.com>

%package libs
License:        LGPL v2 or later
Summary:        NetworkManager client for KDE 4
Group:          System/GUI/KDE
Requires:       NetworkManager

%description libs
Support libraries for KNetworkManager and Network Management plasmoid
KNetworkManager is a KDE 4 applet and connection editor for controlling
network connections on systems that use the NetworkManager servicce

%package -n plasmoid-networkmanagement
License:        GPLv2+
Summary:        NetworkManager client for KDE 4
Group:          System/GUI/KDE
Provides:       NetworkManager-client
Requires:       %{name}-libs = %{version}-%{release}
Requires:       %{name}-lang = %{version}

%description -n plasmoid-networkmanagement
Network Management Plasma applet for controlling network connections
on systems that use the NetworkManager service.

%package -n NetworkManager-openvpn-kde4
License:        GPLv2+
Summary:        NetworkManager client for KDE 4
Group:          System/GUI/KDE
Provides:       NetworkManager-openvpn-frontend
Requires:       %{name}-libs = %{version}-%{release}
Requires:       NetworkManager-openvpn

%description -n NetworkManager-openvpn-kde4
OpenVPN VPN plugin for KDE Network Management components.



Authors:
--------
    Will Stephenson <wstephenson@novell.com>

%package -n NetworkManager-pptp-kde4
License:        GPLv2+
Summary:        NetworkManager client for KDE 4
Group:          System/GUI/KDE
Provides:       NetworkManager-pptp-frontend
Requires:       %{name}-libs = %{version}-%{release}
Requires:       NetworkManager-pptp

%description -n NetworkManager-pptp-kde4
PPTP VPN plugin for KDE Network Management components.


Authors:
--------
    Will Stephenson <wstephenson@novell.com>

%package -n NetworkManager-vpnc-kde4
License:        GPLv2+
Summary:        NetworkManager client for KDE 4
Group:          System/GUI/KDE
Provides:       NetworkManager-vpnc-frontend
Requires:       %{name}-libs = %{version}-%{release}
Requires:       NetworkManager-vpnc

%description -n NetworkManager-vpnc-kde4
Cisco VPN plugin for KDE Network Management components.


Authors:
--------
    Will Stephenson <wstephenson@novell.com>

%package -n NetworkManager-novellvpn-kde4
License:        GPLv2+
Summary:        NovellVPN NetworkManager plugin for KDE 4
Group:          System/GUI/KDE
Provides:       NetworkManager-novellvpn-frontend
Requires:       %{name}-libs = %{version}-%{release}
Requires:       NetworkManager-novellvpn

%description -n NetworkManager-novellvpn-kde4
NovellVPN VPN plugin for KDE Network Management components.



Authors:
--------
    Will Stephenson <wstephenson@novell.com>

%lang_package
%prep
%setup -q -n networkmanager -a 1
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%if %suse_version < 1120
%patch9
%endif
%patch10
echo "find_package(Msgfmt REQUIRED)" >> CMakeLists.txt
echo "find_package(Gettext REQUIRED)" >> CMakeLists.txt
echo "add_subdirectory(po)" >> CMakeLists.txt

%build
  %cmake_kde4 -d build \-DDBUS_SYSTEM_POLICY_DIR=/etc/dbus-1/system.d
  %make_jobs

%install
  cd build
  %makeinstall
  %kde_post_install
  mkdir -p $RPM_BUILD_ROOT%_kde4_sharedir/env
  install -m 755 %{S:2} $RPM_BUILD_ROOT%_kde4_sharedir/env
%ifarch s390 s390x
rm -f $RPM_BUILD_ROOT/%_kde4_modules/networkmanagement_openvpnui.so
rm -f $RPM_BUILD_ROOT/%{_datadir}/kde4/services/networkmanagement_openvpnui.desktop
%endif
  cd ..
  %find_lang libknetworkmanager %{name}.lang
  %find_lang knetworkmanager %{name}.lang
  %find_lang plasma_applet_networkmanagement %{name}.lang

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%clean
rm -rf "$RPM_BUILD_ROOT"

%files lang -f %{name}.lang

%files libs
%defattr(-,root,root)
%{_datadir}/kde4/services/kcm_networkmanagement.desktop
%dir %{_datadir}/kde4/apps/networkmanagement
%{_datadir}/kde4/apps/networkmanagement/*
%{_libdir}/kde4/kcm_networkmanagement.so
%{_libdir}/kde4/kcm_networkmanagement_tray.so
%{_libdir}/libknmui.so*
%{_libdir}/libknminternals.so*
%{_libdir}/libknmservice.so*
%{_libdir}/libknmclient.so*
%{_libdir}/libknm_nm.so*
%{_libdir}/libsolidcontrolfuture.so
%{_datadir}/kde4/servicetypes/networkmanagement_vpnuiplugin.desktop
%{_datadir}/kde4/services/kcm_networkmanagement_tray.desktop
%{_datadir}/icons/oxygen/16x16/devices/
%{_datadir}/icons/oxygen/22x22/devices/
%{_datadir}/icons/oxygen/32x32/devices/
%{_datadir}/icons/oxygen/48x48/devices/
%{_datadir}/icons/oxygen/64x64/devices/
%{_datadir}/icons/oxygen/128x128/devices/
%{_datadir}/icons/oxygen/*/actions/accesspoint.*
%{_datadir}/icons/hicolor/32x32/apps/knetworkmanager.png
%{_libdir}/kde4/libexec/networkmanagement_configshell
%config /etc/dbus-1/system.d/NetworkManager-kde4.conf

%files -n plasmoid-networkmanagement
%defattr(-,root,root)
%{_datadir}/kde4/services/plasma-applet-networkmanagement.desktop
%{_libdir}/kde4/plasma_applet_networkmanagement.so
%{_datadir}/kde4/apps/desktoptheme/default/networkmanagement
%{_libdir}/kde4/kded_networkmanagement.so
%{_datadir}/kde4/services/kded

%files 
%defattr(-,root,root)
%{_bindir}/knetworkmanager
%{_datadir}/applications/kde4/knetworkmanager.desktop
%{_datadir}/autostart/kde4-knetworkmanager-autostart.desktop
%{_datadir}/icons/hicolor/32x32/apps/knetworkmanager.png
%_kde4_sharedir/env

%files -n NetworkManager-openvpn-kde4
%defattr(-,root,root)
%{_libdir}/kde4/networkmanagement_openvpnui.so
%{_datadir}/kde4/services/networkmanagement_openvpnui.desktop

%files -n NetworkManager-vpnc-kde4
%defattr(-,root,root)
%{_libdir}/kde4/networkmanagement_vpncui.so
%{_datadir}/kde4/services/networkmanagement_vpncui.desktop

%files -n NetworkManager-pptp-kde4
%defattr(-,root,root)
%{_libdir}/kde4/networkmanagement_pptpui.so
%{_datadir}/kde4/services/networkmanagement_pptpui.desktop

%files -n NetworkManager-novellvpn-kde4
%defattr(-,root,root)
%{_libdir}/kde4/networkmanagement_novellvpnui.so
%{_datadir}/kde4/services/networkmanagement_novellvpnui.desktop

%changelog
* Fri Nov 20 2009 wstephenson@novell.com
- Add novellvpn plugin (bnc#438310, bnc#400710)
- Build on openSUSE 11.1 and SLE11
* Thu Nov 19 2009 llunak@novell.com
- sync 11.2 KDE packages with SLE (fate#305847)
* Wed Nov 18 2009 wstephenson@novell.com
- Fix bnc#553908 - no routing set with DHCP connections
- Notify NetworkManager correctly when connections are edited
- Fix broken doubleclick in Other Networks dialog
- Don't show Enable wireless when no wireless hardware present
- Prompt for missing VPN secrets on connect
- Fix openVPN with X509 certificates only
- Fix sorting of newly added connections
* Mon Nov  2 2009 wstephenson@novell.com
- Update to svn1043876
  * Sync dbus policy file with nm-applet
  * Show correct wireless security widget when creating new
    connections (bko#201993)
  * Show correct dialog when creating new connections from popup
* Mon Oct 26 2009 wstephenson@novell.com
- Update to svn1040608
  * Fix GSM network type not stored/restored (bko#207454)
  * Fix OpenVPN HMAC key type store/restore (bko#205894,bnc#501829)
  * Support never-default route option for connections needed for
    VPN.
  * Support sending DHCP client ID
  * Fix NM rejecting our cellular connections
  * Show disconnect button and status for VPN connections
* Thu Oct 22 2009 wstephenson@novell.com
- Update to svn1039124
  * Fix 3G (cellular) connections (bnc#534230)
* Wed Oct 21 2009 wstephenson@novell.com
- Update to svn1038793
  * Allow WEP ascii passwords (bnc#498284,kde#199786)
  * Show signal strength and security in Connect to Other Wireless
    Network dialog
* Fri Oct 16 2009 llunak@novell.com
- obsolete the KDE3 version from 11.1 (bnc#529955)
* Tue Sep 29 2009 coolo@novell.com
- stop knetworkmanager from autostarting for ifup case (bnc#537367)
* Fri Sep 25 2009 wstephenson@novell.com
- Update to svn1028043
  * Fixes in manual IP address entry
  * Updated i18n
* Mon Sep 14 2009 wstephenson@novell.com
- Update to svn1023237
  * Show previous secrets when asking for new secrets
  * Reinitialise wireless secrets objects when changing security
    type (kde#192597)
  * Read VPN connection secrets on edit (kde#188489)
  * Fix crash on asking for wired 802.1x connection secrets
    (kde#206880)
  * Don't send empty VPN usernames (kde#205894)
* Tue Sep  8 2009 wstephenson@novell.com
- Update to svn1021252
  * Fix crash on resume using wireless (bnc#536942, kde#205955)
  * Allow manual IP configuration without a gateway (kde#206115)
* Tue Sep  1 2009 tittiatcoke@gmail.com
- Update to svn1017841
  * Reorganize configuration so that connections and the tray icon
    are managed in separate config modules. (kde#203412)
* Mon Aug 31 2009 tittiatcoke@gmail.com
- Update to svn1017780
  * Set a useful default size for the other connections dialog.
  * Show the unconfigured network item again when there are no connections.
    regression introduced by 1017188
  * Changes in comparison with the initial version (kde#167636 and kde#199416):
  - avoided ugly input masks;
  - more usual terminology (netmask vs prefix);
  - netmask suggestion for basic and advanced settings (it works only if a
    netmask field is empty, the suggestion logic can be improved but it is
    enough to cover basic use cases);
  - simple line edits instead of table items for basic settings (as it was
    proposed in the bug description, now basic settings layout looks like
    on Mac OS);
  - a bit improved table view usability (as it was mentioned in TODO
    comments) + fields autoresize.
* Mon Aug 31 2009 tittiatcoke@gmail.com
- Update to svn1017661
  * Fix missing brackets that broke PSK detection (kde#205048)
  * Extract some more strings (kde#205321)
  * Correct the 'MAC Address' labelling to 'Restrict To Interface:"
    and show the interfaces by Solid product name and kernel name
    (kde#205407)
* Sat Aug 29 2009 wstephenson@novell.com
- Update to svn1017188
  * Working hidden wireless networks
  * Move unconfigured networks to dialog
  * GSM fixes
* Mon Aug 17 2009 wstephenson@novell.com
- Update to svn1012598
  * Implement simple LEAP
  * Implement Dynamic WEP (kde#191881)
  * Implement Wired 802.1x
  * Allow custom connection icons
  * Fix a couple of crash bugs (kde#204088)
  * Fix editing EAP-PEAP inner secrets
  * Correctly save and restore 'Use System CA Certs'
  * Several EAP-LEAP fixes (kde#191120)
  * Correct Static WEP networks appearing as Dynamic WEP in
    tooltips
* Sat Aug 15 2009 wstephenson@novell.com
- Update to svn 1011743
  * Use valid UUIDs according to NM 0.7 branch
  * Fix crash on AP roam
* Wed Aug 12 2009 wstephenson@novell.com
- Update to svn1010399
  * Workaround broken WPA hashing (bnc#525980, bnc#522397)
  * Set default WPA-PSK connection security
  * Fix inverted Show Passwords logic
  * Fix wrong wireless bit rate units
* Tue Aug 11 2009 wstephenson@novell.com
- Update to svn1010089
  * Fix wrongly identified wireless security (kde#201993)
  * Fix crash when connecting to an AP that just disappeared
    (kde#202690)
* Tue Aug  4 2009 wstephenson@novell.com
- update to svn1007025
  * Fix missing wireless interfaces from the icon with default
    settings (bnc#528083).
* Mon Aug  3 2009 tittiatcoke@gmail.com
- Removed patch for tooltip as solid has been updated
* Mon Aug  3 2009 wstephenson@novell.com
- update to svn1006258
  * allow disconnecting VPN and cellular connections
  * Fixes for wireless connections and routing (bnc#525980)
  * Detailed, configurable tooltips (kde#132151)
  * Completed OpenVPN support (kde#198374)
  * Completed Cisco VPN support (kde#188489)
* Wed Jul 29 2009 tittiatcoke@gmail.com
- update to svn1004062
  * include fix to prevent crash with knetworkmanager
* Wed Jul 29 2009 tittiatcoke@gmail.com
- update to svn1004031
  * Show vpn icon overlay in tray when a vpn connection is up
    (kde#160365)
  * Identify Ad-hoc networks
  * Fix duplicate interface types appearing in the icon config UI
  * Icon per interface fixes:
  * Show displayed interface's state in tooltip, instead of
    system wide state
  * don't show additional networks menu when the icon is not
    displaying wireless interfaces
  * Disable unusable tooltip keys for now
- packaging
  * Move kded module to plasmoid-networkmanagement
* Tue Jul 28 2009 tittiatcoke@gmail.com
- update to svn1003612
  * Fixes around autostart.
    Autostart is now described as 'show tray icon' and
    knetworkmanager is stopped and started by changing this
    setting in the KCM.
  * Allow separate tray icons for each interface type
  * Add UI and KConfigXT for configuring tray icon
* Mon Jul 27 2009 tittiatcoke@gmail.com
- update to svn1002883
  * NetworkManager-plasmoid not functional yet. To avoid crashes a
    dummy UI is placed in the Plasmoid to avoid Plasma crashes
* Sun Jul 26 2009 tittiatcoke@gmail.com
- update to svn1002668
  * Fix broken include
  * Allow WPA-PSK connections to enter PSKs as well as passphrases
    (kde#191879)
  * Validate WPA-PSK secrets are either a valid passphrase or a
    valid PSK (kde#195824)
  * Stop giving redundant network interface added notifications
    during startup
* Sun Jul 26 2009 tittiatcoke@gmail.com
- Update to svn1002494
  * Final set of tooltip keys
  * Rephrase negatively termed action text
  * Update the hand edits diff
  * Change the visibility macros used.
  * Hardcode the NM DBus visibility macro as it differs from
    the settings' macro
  * Prevent sending auth-alg for non-WEP connections
  * Start of work to make it possible to enter hashed PSKs or
    passphrases for WPA auth (NM 7.1 only)
  * Add connection name validation (kde#201293)
* Fri Jul 24 2009 tittiatcoke@gmail.com
- Update to svn1001914
  + Provide plasmoid-networkmanagement in separate package
  + Create separate package for underlying libraries to enable the
    install of either the plasmoid or the tray applet
* Fri Jul 24 2009 wstephenson@novell.com
- Update to svn1001631
  + Provide monolithic tray applet knetworkmanager in separate
    package
* Fri Jun  5 2009 tittiatcoke@gmail.com
- Update to svn977685
  + Change labels to Wired vs Wireless
  + Fix showing up of VPN
  + Don't block too much on startup. The plasmoid has held up starting up
    Plasma for a bit. We're now only adding networkinterfaces after a bit
    of waiting so things can settle down a bit
* Thu Jun  4 2009 wstephenson@suse.de
- Fix file list conflicts
* Sun May 31 2009 tittiatcoke@gmail.com
- update to r975779
  + Make clear that "Connect to hidden network" is a clickable item and set its height so that matches lineedit's, fixing a visual glitch
* Fri May 29 2009 tittiatcoke@gmail.com
- Update to r974487
  + Don't crash when we rfkill
  + Improved display of accesspoint
* Sat May 23 2009 tittiatcoke@gmail.com
- Update to r971920
  + make Passphrase default (seems more common than hex)
  + make sure only one of the hex/passphrase labels is shown in the wepwidget ctor
* Wed May 20 2009 tittiatcoke@gmail.com
- Update to r970021
  + Show the correct last used time in the KCM
  + Update the seen BSSIDs when roaming to a new AP
  + Display recent dates in the connection editor relative to now.
  + Enable double click to edit connections
  + GUI Changes according to http://techbase.kde.org/Projects/Usability/HIG
  + Commit patch by Per Hermansson to fix peap phase label. BUG:188087
  + Validate WEP hex keys for correct length and hex digits.
  + Streamline security icons and -tooltips
  + Fix the buddy for the wep edit Passphrase.
  + Support connecting to hidden wireless networks.
  + allow to change the port for openvpn connections
  + create the contents of the tooltip only on demand
  + add ip address to the tooltip. BUG 132151
  + Fix BUG 192790
* Thu Apr 23 2009 wstephenson@suse.de
- update to r958040
  * Fix for WPA-EAP connection deserialization
* Wed Apr 22 2009 wstephenson@suse.de
- update to r957516
* Fri Feb 13 2009 coolo@suse.de
- update to r924744
  * Fix crash on network join
- require NM
* Fri Feb  6 2009 wstephenson@suse.de
- update to r922105
  * Fix invisible tray icons
* Tue Feb  3 2009 wstephenson@suse.de
- update to r918201
  * Fix VPN connections
  * Rename "Network Management"
* Wed Jan 28 2009 wstephenson@suse.de
- update to r918201
  * Discover endianness correctly for WPA-PSK hashing
  * Install DBus policy file for the interfaces used
  * Improve UI for GSM, CDMA and PPPoE connections
* Wed Jan 28 2009 wstephenson@suse.de
- update to r917381
  * Fix Ethernet connections
* Mon Jan 26 2009 wstephenson@suse.de
- update to r917026
* Sat Jan 24 2009 stbinner@suse.de
- update to r916096 (temporarily doesn't build vpn plugins)
* Thu Jan 15 2009 stbinner@suse.de
- update to r911495
* Wed Jan 14 2009 stbinner@suse.de
- change to trunk version for building against KDE 4.2
* Mon Jan 12 2009 wstephenson@suse.de
- update with latest fixes from trunk (bnc:444733)
  * fix WEP shared key authentication
  * layout fixes
  * fix openvpn
  * fix autoconnect
* Sat Nov 29 2008 dmueller@suse.de
- add missing NetworkManager-client provide to make it selectable
* Thu Nov 27 2008 ro@suse.de
- disable openvpn addon for s390 s390x
  (required package does not exist there for whatever reason)
* Sat Nov 22 2008 stbinner@suse.de
- update from knetworkmanager-4.1-openSUSE branch
* Wed Nov 19 2008 stbinner@suse.de
- update from knetworkmanager-4.1-openSUSE branch
* Fri Nov 14 2008 stbinner@suse.de
- update from knetworkmanager-4.1-openSUSE branch:
  * compress notification for networks (dis)appearing
  * fix appearance of wifi networks
  * layout fixes and several tooltips added
* Thu Nov 13 2008 stbinner@suse.de
- backport networkmanager plasmoid trunk changes/fixes
- fix wrong popup position, missing icons and translation loading
- add tooltip
* Sun Nov  9 2008 jpr@novell.com
- Fix build with latest NM checkin with upstream patch
  nm-kde4-settings.patch (r882028)
* Fri Nov  7 2008 stbinner@suse.de
- add requirement on NetworkManager-kde4-lang
* Wed Nov  5 2008 wstephenson@suse.de
- Update
  * Switch to drawing the plasmoid interface with QWidget for
    KDE 4.1
  * Add VPN plugin UIs
* Mon Oct 27 2008 wstephenson@suse.de
- React to changes in the wireless environment
* Wed Oct 22 2008 wstephenson@suse.de
- Update
  * Milestone 3 - Everyday connectivity
  - WPA-PSK, WEP wireless security
  * Plasmoid
* Mon Oct 13 2008 wstephenson@suse.de
- Update
  * Milestone 2 - Basic connectivity
  - Wired networks
  - Unsecured wifi
* Tue Sep 30 2008 aj@suse.de
- Fix filelist for debug builds.
* Tue Sep 30 2008 aj@suse.de
- Fix filelist.
* Mon Sep 29 2008 will@suse.de
- Build with NM 0.7-r4060
* Thu Sep 18 2008 wstephenson@suse.de
- Initial package
  * Milestone 1 - All major components in place,
    minimal functionality
